package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;

public class DrpSupplierQualificationExpireVO {
   @ApiModelProperty("资质编号")
   private String qualificationNum;
   @ApiModelProperty("资质名称")
   private String qualificationName;
   @ApiModelProperty("有效期")
   private LocalDate validity;
   @ApiModelProperty("资质照片")
   private String imgUrl;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商编号")
   private String supplierNum;
   @ApiModelProperty("主次(1主，2次)")
   private Integer mainFlag;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("主要联系人")
   private String linkman;
   @ApiModelProperty("主要联系人电话")
   private String linkmanNumber;
   @ApiModelProperty("临期天数")
   private Long expireDays;

   public String getQualificationNum() {
      return this.qualificationNum;
   }

   public String getQualificationName() {
      return this.qualificationName;
   }

   public LocalDate getValidity() {
      return this.validity;
   }

   public String getImgUrl() {
      return this.imgUrl;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierNum() {
      return this.supplierNum;
   }

   public Integer getMainFlag() {
      return this.mainFlag;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public String getLinkman() {
      return this.linkman;
   }

   public String getLinkmanNumber() {
      return this.linkmanNumber;
   }

   public Long getExpireDays() {
      return this.expireDays;
   }

   public void setQualificationNum(final String qualificationNum) {
      this.qualificationNum = qualificationNum;
   }

   public void setQualificationName(final String qualificationName) {
      this.qualificationName = qualificationName;
   }

   public void setValidity(final LocalDate validity) {
      this.validity = validity;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierNum(final String supplierNum) {
      this.supplierNum = supplierNum;
   }

   public void setMainFlag(final Integer mainFlag) {
      this.mainFlag = mainFlag;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setLinkman(final String linkman) {
      this.linkman = linkman;
   }

   public void setLinkmanNumber(final String linkmanNumber) {
      this.linkmanNumber = linkmanNumber;
   }

   public void setExpireDays(final Long expireDays) {
      this.expireDays = expireDays;
   }

   public String toString() {
      String var10000 = this.getQualificationNum();
      return "DrpSupplierQualificationExpireVO(qualificationNum=" + var10000 + ", qualificationName=" + this.getQualificationName() + ", validity=" + String.valueOf(this.getValidity()) + ", imgUrl=" + this.getImgUrl() + ", supplierId=" + this.getSupplierId() + ", supplierNum=" + this.getSupplierNum() + ", mainFlag=" + this.getMainFlag() + ", supplierName=" + this.getSupplierName() + ", areaId=" + this.getAreaId() + ", areaName=" + this.getAreaName() + ", linkman=" + this.getLinkman() + ", linkmanNumber=" + this.getLinkmanNumber() + ", expireDays=" + this.getExpireDays() + ")";
   }
}
